Introduction
Bramble provides an API which makes it easy for developers to integrate external systems with our platform.
Our API is designed to handle the data integration needs for your business or application while making the integration process as painless as possible.
Through the API you can you seamlessly synchronize your key workflow events with Bramble check-ins, inventory volumes, quality scores and much more.
We designed the Bramble API around REST principles influenced by the JSON API specification.
This version of our API reference is auto-generated from an Open API specification.
API Endpoint
All API calls must be made to https://api.SUBDOMAIN.brmbl.io/v1.
JSON-only
All responses will be in JSON. Input
data passed through the request body can be form-encoded or JSON-encoded. If
using a JSON body, please specify the Content-Type header as
application/json.
In the API dates are represented as ISO8601. Each entity like entries or groups has a unique integer ID.
Pagination
The Bramble API supports two ways to paginate collections. The most common way to paginate is through offset-based pagination which is often used where the list of items is of a fixed, predetermined length.
In most cases we will paginate requests returning more than 100 results. You can
control pagination with the page parameter (object). Pages start at
1 and the first page will be returned if no page is specified.
curl https://api.YOURDOMAIN.brmbl.io/v1/groups?page[number]=3&page[size]=10 \
-H "authorization: Bearer ACCESS_TOKEN"
Most endpoints will return meta.pagination information in the response (see the example on the right).
"meta": {
"pagination": {
"page_number": 1,
"page_size": 25,
"total_entries": 1,
"total_pages": 1
}
}
In some cases an API endpoint supports marker-based pagination, either as an alternative to offset-based pagination or as a full replacement. Marker-based pagination is often used in cases where the length of the total set of items is either changing frequently, or where the total length might not be known upfront.
Sorting
Where an API returns a collection of items it often supports sorting of API responses.
Use the sort query parameters to sort the collection. Use a hyphen prefix to sort in
Both the field and the direction to sort on is defined by the sort query
parameter. Check the API endpoint's documentation for the possible options for
this value.
curl https://api.YOURDOMAIN.brmbl.io/v1/users/?sort=full_name,-inserted_at \
-H "authorization: Bearer ACCESS_TOKEN"
Working with Dates
When working with dates, the Bramble API endpoints expect the following:
Dates in ISO 8601 format (YYYY-MM-DD). For example, date_happened in the TaskEvent type.
Timestamps (date and time) in RFC 3339 format. For example, a UTC time
2022-01-15T00:00:00Z.
An offset from UTC time indicates a time zone, such as
2013-01-15T00:00:00-08:00 (8 hours behind UTC time).
Clients must account for daylight savings time when providing offset dates.
Versioning
We follow the Global URL versioning scheme. This means that major changes to our API will be versioned in order to maintain backwards compatibility with existing integrations.
In order to notify consumers of upcoming upgrades, deprecated operations will be annotated using the OpenAPI spec
Getting Help or Contributing
We've made this document open source. Please report any issues or suggestions in the API doc issues. Any pull requests to improve this document are welcome too! If you need help using the API or need to discuss anything sensitive please message us at support@brmbl.io.
Errors
Each API call returns an HTTP status code that reflects the nature of the response. We have done our best to follow the HTTP status code conventions.
Any request that did not succeed will return a 4xx or 5xx error. The 4xx range means there was a problem with the request, like a missing parameter. The 5xx range means that something went wrong on our end.
Codes
The Bramble API returns the following HTTP status codes:
| Code | Description |
|---|---|
| 200 OK | Request succeeded |
| 201 Created | A resource was created |
| 204 No Content | Request succeeded but there is no response body |
| 400 Bad Request | Invalid request parameters |
| 401 Unauthorized | Incorrect or missing API key |
| 403 Forbidden | You do not have permission to view a resource or perform an action |
| 404 Not Found | The specified resource could not be found |
| 409 Conflict | The requested change cannot be done, because it conflicts with the Brmbl internal state of the resource |
| 422 Unprocessable Entity | The request body you sent is missing fields / fields have the wrong data type |
| 500 Internal Server Error | There was a problem on our end |
Response format
Error responses are separated into two categories:
- General errors like Internal Server Error or Authentication Error
- Client input related errors like JSON Error or Conflict Error
All error responses will have an errors array field, containing objects with these attributes:
| Parameter | Description |
|---|---|
| detail | Explanation of the error |
| source.pointer | Available when a specific request parameter was responsible |
| title | A concise summary of the error |
| type | (If available), a machine readable type of error, for example "AUTHENTICATION_FAILED" |
Rate Limits
Each request is tracked by its unique IP. The limit is 1000 requests per minute. Hitting the limit will block further requests for that minute.
Please contact your Account Manager or Customer Success to request a limit increase.
Authentication
All calls to Bramble APIs are authenticated with an API key that an admin can generate within your Bramble app. Allowed resources can be customized per API key.
Please keep your API keys private.
API Keys created should never be exposed in untrusted contexts. Never put an API Key in client-side JavaScript, embed it in a web page, or otherwise allow users to access it. If an API Key is exposed, lost, or stolen, then it is compromised. Revoke compromised keys immediately from your Integration Settings page to prevent unauthorized access.
apiKey
Header: Authorization
Enter the token with the Bearer: prefix, e.g. "Bearer brmbl_ZLXZ4PYn_E34CJQSRtlmf0CXLsKFjMOf7".
Checkins
Creates a check-in for a user
Request: Create a check-in
curl -X POST https://api.COMPANY.brmbl.io/v1/checkins \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_anTwAlKI_GlCEr8OfPJc3sYY6UiMFc7lS" \
-d @- << EOF
{
"date": "2022-02-23",
"user_id": "2057",
"work_location": null
}
EOF
Response: 201 Created
{
"data": {
"attributes": {
"date": "2022-02-23",
"inserted_at": "2026-04-23T07:28:25Z",
"updated_at": "2026-04-23T07:28:25Z",
"work_location": "office"
},
"id": "900",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkins/900"
},
"relationships": {
"user": {
"data": {
"id": "2057",
"type": "users"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/users/2057",
"self": "http://api.COMPANY.brmbl.io/v1/checkins/900/relationships/user"
}
}
},
"type": "checkins"
},
"included": [],
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkins/900"
}
}
Request: Create a check-in
curl -X POST https://api.COMPANY.brmbl.io/v1/checkins \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_mDmGRbR5_9pSGBJtYENcrXOWUMEu8BRZw" \
-d @- << EOF
{
"date": "2022-02-23",
"user_id": "2075",
"work_location": "distributed"
}
EOF
Response: 201 Created
{
"data": {
"attributes": {
"date": "2022-02-23",
"inserted_at": "2026-04-23T07:28:26Z",
"updated_at": "2026-04-23T07:28:26Z",
"work_location": "distributed"
},
"id": "910",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkins/910"
},
"relationships": {
"user": {
"data": {
"id": "2075",
"type": "users"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/users/2075",
"self": "http://api.COMPANY.brmbl.io/v1/checkins/910/relationships/user"
}
}
},
"type": "checkins"
},
"included": [],
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkins/910"
}
}
Response: 422 Unprocessable Entity
{
"errors": [
{
"detail": "Invalid format. Expected :date",
"source": {
"pointer": "/date"
},
"title": "Invalid value"
}
]
}
Response: 409 Conflict
{
"errors": [
{
"detail": "already entered on this day",
"source": {
"pointer": ":date"
},
"title": "Conflict"
}
]
}
You can create a check-in for a user per day.
A Check-in is used to track where you plan on doing work, and is also referenced in how we create the check-in items.
Request
POST /v1/checkins
Parameters
| Parameter | Description | In | Type | Required | Default | Example |
|---|---|---|---|---|---|---|
x-external-resource-uri |
Log optional external-resource-uri data with which to build an audit version. | header | string | false |
Responses
| Status | Description | Schema |
|---|---|---|
| 201 | Checkin | |
| 401 | Authentication Error | |
| 404 | Not Found Error | |
| 409 | Conflict | |
| 410 | Ignored | |
| 422 | Unprocessable Entity | |
| 500 | Internal Server Error |
Fetch a check-in by ID
Request: Returns a check-in
curl -X GET https://api.COMPANY.brmbl.io/v1/checkins/id/905 \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_e093rRPh_VrzJscbJrHd8FaNU20UvgEC3" \
Response: 200 OK
{
"data": {
"attributes": {
"date": "2020-01-01",
"inserted_at": "2026-04-23T07:28:25Z",
"updated_at": "2026-04-23T07:28:25Z",
"work_location": "office"
},
"id": "905",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkins/905"
},
"relationships": {
"user": {
"data": {
"id": "2067",
"type": "users"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/users/2067",
"self": "http://api.COMPANY.brmbl.io/v1/checkins/905/relationships/user"
}
}
},
"type": "checkins"
},
"included": [],
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkins/905"
}
}
Returns the check-in identified by an internal Bramble ID.
Request
GET /v1/checkins/id/{id}
Parameters
| Parameter | Description | In | Type | Required | Default | Example |
|---|---|---|---|---|---|---|
id |
Check-in ID | path | integer | true | 233 | |
include |
Comma separated list of relationships to include. | query | array | false | user | |
fields |
Comma separated list of fields to return. | query | object | false |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Checkin | |
| 401 | Authentication Error | |
| 404 | Not Found Error | |
| 410 | Ignored | |
| 422 | Unprocessable Entity | |
| 500 | Internal Server Error |
Fetch a check-in by user ID, and date
Request: Returns a check-in by user id and date
curl -X GET https://api.COMPANY.brmbl.io/v1/checkins/user/2061/date/2020-01-01 \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_UvPzzc4L_9yebdVab7Hryi4VqVRi5FfUV" \
Response: 200 OK
{
"data": {
"attributes": {
"date": "2020-01-01",
"inserted_at": "2026-04-23T07:28:25Z",
"updated_at": "2026-04-23T07:28:25Z",
"work_location": "office"
},
"id": "902",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkins/902"
},
"relationships": {
"user": {
"data": {
"id": "2061",
"type": "users"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/users/2061",
"self": "http://api.COMPANY.brmbl.io/v1/checkins/902/relationships/user"
}
}
},
"type": "checkins"
},
"included": [],
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkins/902"
}
}
Response: 404 Not Found
{
"errors": [
{
"code": "40401",
"detail": "Could not find check-in with user_id: -1 and date: 2020-01-01",
"status": "404",
"title": "Resource Not Found"
}
]
}
Returns the check-in identified by an internal Bramble user ID, and date.
Request
GET /v1/checkins/user/{user_id}/date/{date}
Parameters
| Parameter | Description | In | Type | Required | Default | Example |
|---|---|---|---|---|---|---|
user_id |
User ID | path | integer | true | 233 | |
date |
Date | path | string | true | 2022-01-01 | |
include |
Comma separated list of relationships to include. | query | array | false | user | |
fields |
Comma separated list of fields to return. | query | object | false |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Checkin | |
| 401 | Authentication Error | |
| 404 | Not Found Error | |
| 410 | Ignored | |
| 422 | Unprocessable Entity | |
| 500 | Internal Server Error |
Checkin Items
Creates a user's check-in item
Request: Create a production task check-in item
curl -X POST https://api.COMPANY.brmbl.io/v1/checkin_items \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_5doFzkal_g40klGttcwisJ727ShjSCj7w" \
-d @- << EOF
{
"date": "2022-02-23",
"replacement": false,
"volume": 1,
"user_id": "2470",
"checkin_id": "1017",
"production_task_id": 565,
"cost_category_id": null
}
EOF
Response: 201 Created
{
"data": {
"attributes": {
"date": "2022-02-23",
"inserted_at": "2026-04-23T07:28:33Z",
"minutes": "10.00",
"updated_at": "2026-04-23T07:28:33Z",
"volume": 1
},
"id": "2461",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2461"
},
"relationships": {
"checkin": {
"data": {
"id": "1017",
"type": "checkins"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/checkins/1017",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2461/relationships/checkin"
}
},
"production_task": {
"data": {
"id": "565",
"type": "production_tasks"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/production_tasks/565",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2461/relationships/production_task"
}
},
"user": {
"data": {
"id": "2470",
"type": "users"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/users/2470",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2461/relationships/user"
}
}
},
"type": "checkin_items"
},
"included": [],
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2461"
}
}
Request: Create a production task check-in item with cost category
curl -X POST https://api.COMPANY.brmbl.io/v1/checkin_items \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_hxL2yQD0_UhL9OsUMSjbsl6G4FvbJAHbH" \
-d @- << EOF
{
"date": "2022-02-23",
"replacement": false,
"volume": 1,
"user_id": "2431",
"checkin_id": "992",
"production_task_id": 549,
"cost_category_id": "197"
}
EOF
Response: 201 Created
{
"data": {
"attributes": {
"date": "2022-02-23",
"inserted_at": "2026-04-23T07:28:32Z",
"minutes": "10.00",
"updated_at": "2026-04-23T07:28:32Z",
"volume": 1
},
"id": "2413",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2413"
},
"relationships": {
"checkin": {
"data": {
"id": "992",
"type": "checkins"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/checkins/992",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2413/relationships/checkin"
}
},
"cost_category": {
"data": {
"id": "197",
"type": "cost_categories"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/cost_categories/197",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2413/relationships/cost_category"
}
},
"production_task": {
"data": {
"id": "549",
"type": "production_tasks"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/production_tasks/549",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2413/relationships/production_task"
}
},
"user": {
"data": {
"id": "2431",
"type": "users"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/users/2431",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2413/relationships/user"
}
}
},
"type": "checkin_items"
},
"included": [],
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2413"
}
}
Response: 422 Unprocessable Entity
{
"errors": [
{
"detail": "Failed to cast value to one of: no schemas validate",
"source": {
"pointer": "/"
},
"title": "Invalid value"
},
{
"detail": "Invalid format. Expected :date",
"source": {
"pointer": "/date"
},
"title": "Invalid value"
},
{
"detail": "Missing field: supporting_task_id",
"source": {
"pointer": "/supporting_task_id"
},
"title": "Invalid value"
},
{
"detail": "Missing field: minutes",
"source": {
"pointer": "/minutes"
},
"title": "Invalid value"
},
{
"detail": "Missing field: friction_type_id",
"source": {
"pointer": "/friction_type_id"
},
"title": "Invalid value"
},
{
"detail": "Missing field: minutes",
"source": {
"pointer": "/minutes"
},
"title": "Invalid value"
},
{
"detail": "Missing field: leave_type_id",
"source": {
"pointer": "/leave_type_id"
},
"title": "Invalid value"
},
{
"detail": "Missing field: minutes",
"source": {
"pointer": "/minutes"
},
"title": "Invalid value"
}
]
}
Response: 409 Conflict
{
"errors": [
{
"detail": "already entered on this day",
"source": {
"pointer": ":production_task_id"
},
"title": "Conflict"
}
]
}
Request: Create a supporting task check-in item
curl -X POST https://api.COMPANY.brmbl.io/v1/checkin_items \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_nSQ9Fv8D_VgHm9fml8pS0WOCpwSmQGLPz" \
-d @- << EOF
{
"date": "2022-02-23",
"minutes": 450.0,
"replacement": false,
"user_id": "2508",
"checkin_id": "1045",
"supporting_task_id": "366"
}
EOF
Response: 201 Created
{
"data": {
"attributes": {
"date": "2022-02-23",
"inserted_at": "2026-04-23T07:28:34Z",
"minutes": "450.00",
"updated_at": "2026-04-23T07:28:34Z",
"volume": null
},
"id": "2517",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2517"
},
"relationships": {
"checkin": {
"data": {
"id": "1045",
"type": "checkins"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/checkins/1045",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2517/relationships/checkin"
}
},
"supporting_task": {
"data": {
"id": "366",
"type": "supporting_tasks"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/supporting_tasks/366",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2517/relationships/supporting_task"
}
},
"user": {
"data": {
"id": "2508",
"type": "users"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/users/2508",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2517/relationships/user"
}
}
},
"type": "checkin_items"
},
"included": [],
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2517"
}
}
Response: 422 Unprocessable Entity
{
"errors": [
{
"detail": "Failed to cast value to one of: no schemas validate",
"source": {
"pointer": "/"
},
"title": "Invalid value"
},
{
"detail": "Missing field: production_task_id",
"source": {
"pointer": "/production_task_id"
},
"title": "Invalid value"
},
{
"detail": "Missing field: volume",
"source": {
"pointer": "/volume"
},
"title": "Invalid value"
},
{
"detail": "Invalid format. Expected :date",
"source": {
"pointer": "/date"
},
"title": "Invalid value"
},
{
"detail": "Missing field: friction_type_id",
"source": {
"pointer": "/friction_type_id"
},
"title": "Invalid value"
},
{
"detail": "Missing field: leave_type_id",
"source": {
"pointer": "/leave_type_id"
},
"title": "Invalid value"
}
]
}
Response: 409 Conflict
{
"errors": [
{
"detail": "already entered on this day",
"source": {
"pointer": ":supporting_task_id"
},
"title": "Conflict"
}
]
}
Request: Create a friction type check-in item
curl -X POST https://api.COMPANY.brmbl.io/v1/checkin_items \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_oIhXmm6p_YsNvCBDbkkeDOjP4mo3nIl4L" \
-d @- << EOF
{
"date": "2022-02-23",
"minutes": 450.0,
"replacement": false,
"user_id": "2458",
"checkin_id": "1010",
"friction_type_id": "180"
}
EOF
Response: 201 Created
{
"data": {
"attributes": {
"date": "2022-02-23",
"inserted_at": "2026-04-23T07:28:33Z",
"minutes": "450.00",
"updated_at": "2026-04-23T07:28:33Z",
"volume": null
},
"id": "2449",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2449"
},
"relationships": {
"checkin": {
"data": {
"id": "1010",
"type": "checkins"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/checkins/1010",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2449/relationships/checkin"
}
},
"friction_type": {
"data": {
"id": "180",
"type": "friction_types"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/friction_types/180",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2449/relationships/friction_type"
}
},
"user": {
"data": {
"id": "2458",
"type": "users"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/users/2458",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2449/relationships/user"
}
}
},
"type": "checkin_items"
},
"included": [],
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2449"
}
}
Response: 422 Unprocessable Entity
{
"errors": [
{
"detail": "Failed to cast value to one of: no schemas validate",
"source": {
"pointer": "/"
},
"title": "Invalid value"
},
{
"detail": "Missing field: production_task_id",
"source": {
"pointer": "/production_task_id"
},
"title": "Invalid value"
},
{
"detail": "Missing field: volume",
"source": {
"pointer": "/volume"
},
"title": "Invalid value"
},
{
"detail": "Missing field: supporting_task_id",
"source": {
"pointer": "/supporting_task_id"
},
"title": "Invalid value"
},
{
"detail": "Invalid format. Expected :date",
"source": {
"pointer": "/date"
},
"title": "Invalid value"
},
{
"detail": "Missing field: leave_type_id",
"source": {
"pointer": "/leave_type_id"
},
"title": "Invalid value"
}
]
}
Response: 409 Conflict
{
"errors": [
{
"detail": "already entered on this day",
"source": {
"pointer": ":friction_type_id"
},
"title": "Conflict"
}
]
}
Request: Create a leave type check-in item
curl -X POST https://api.COMPANY.brmbl.io/v1/checkin_items \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_fa2BQjN9_LhpMGMvfZCKjeoi95wigiPX5" \
-d @- << EOF
{
"date": "2022-02-23",
"minutes": 450.0,
"replacement": false,
"user_id": "2412",
"checkin_id": "978",
"leave_type_id": "116"
}
EOF
Response: 201 Created
{
"data": {
"attributes": {
"date": "2022-02-23",
"inserted_at": "2026-04-23T07:28:31Z",
"minutes": "450.00",
"updated_at": "2026-04-23T07:28:31Z",
"volume": null
},
"id": "2390",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2390"
},
"relationships": {
"checkin": {
"data": {
"id": "978",
"type": "checkins"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/checkins/978",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2390/relationships/checkin"
}
},
"leave_type": {
"data": {
"id": "116",
"type": "leave_types"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/leave_types/116",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2390/relationships/leave_type"
}
},
"user": {
"data": {
"id": "2412",
"type": "users"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/users/2412",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2390/relationships/user"
}
}
},
"type": "checkin_items"
},
"included": [],
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2390"
}
}
Response: 422 Unprocessable Entity
{
"errors": [
{
"detail": "Failed to cast value to one of: no schemas validate",
"source": {
"pointer": "/"
},
"title": "Invalid value"
},
{
"detail": "Missing field: production_task_id",
"source": {
"pointer": "/production_task_id"
},
"title": "Invalid value"
},
{
"detail": "Missing field: volume",
"source": {
"pointer": "/volume"
},
"title": "Invalid value"
},
{
"detail": "Missing field: supporting_task_id",
"source": {
"pointer": "/supporting_task_id"
},
"title": "Invalid value"
},
{
"detail": "Missing field: friction_type_id",
"source": {
"pointer": "/friction_type_id"
},
"title": "Invalid value"
},
{
"detail": "Invalid format. Expected :date",
"source": {
"pointer": "/date"
},
"title": "Invalid value"
}
]
}
Response: 409 Conflict
{
"errors": [
{
"detail": "already entered on this day",
"source": {
"pointer": ":leave_type_id"
},
"title": "Conflict"
}
]
}
Creates user's check-in item for a day, could be a production task, supporting task, leave type or friction type.
Request
POST /v1/checkin_items
Parameters
| Parameter | Description | In | Type | Required | Default | Example |
|---|---|---|---|---|---|---|
x-external-resource-uri |
Log optional external-resource-uri data with which to build an audit version. | header | string | false |
Responses
| Status | Description | Schema |
|---|---|---|
| 201 | Checkin Item Response | |
| 401 | Authentication Error | |
| 404 | Not Found Error | |
| 409 | Conflict | |
| 410 | Ignored | |
| 422 | Unprocessable Entity | |
| 500 | Internal Server Error |
Deletes a user's check-in item
Request: Delete a production task check-in item.
curl -X DELETE https://api.COMPANY.brmbl.io/v1/checkin_items/2435 \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_d6mh3ody_03sQisZF9WdspDGUSV3DG7xU" \
Response: 200 OK
{
"data": {
"attributes": {
"date": "2020-01-01",
"inserted_at": "2026-04-23T07:28:32Z",
"minutes": "150.00",
"updated_at": "2026-04-23T07:28:32Z",
"volume": 15
},
"id": "2435",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2435"
},
"relationships": {
"checkin": {
"data": {
"id": "1002",
"type": "checkins"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/checkins/1002",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2435/relationships/checkin"
}
},
"production_task": {
"data": {
"id": "555",
"type": "production_tasks"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/production_tasks/555",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2435/relationships/production_task"
}
},
"user": {
"data": {
"id": "2447",
"type": "users"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/users/2447",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2435/relationships/user"
}
}
},
"type": "checkin_items"
},
"included": [],
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2435"
}
}
Soft-Deletes user's check-in item for a day.
Request
DELETE /v1/checkin_items/{id}
Parameters
| Parameter | Description | In | Type | Required | Default | Example |
|---|---|---|---|---|---|---|
x-external-resource-uri |
Log optional external-resource-uri data with which to build an audit version. | header | string | false |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Checkin Item Response | |
| 401 | Authentication Error | |
| 404 | Not Found Error | |
| 410 | Ignored | |
| 422 | Unprocessable Entity | |
| 500 | Internal Server Error |
Retrieve a check-in item.
Request: Returns a check-in item
curl -X GET https://api.COMPANY.brmbl.io/v1/checkin_items/2447 \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_quHNLI5R_m6PLOnXR3EXKWfUjt32uz9Cn" \
Response: 200 OK
{
"data": {
"attributes": {
"date": "2020-01-01",
"inserted_at": "2026-04-23T07:28:32Z",
"minutes": "150.00",
"updated_at": "2026-04-23T07:28:32Z",
"volume": 15
},
"id": "2447",
"links": {
"self": "http://company.brmbl.io/v1/checkin_items/2447"
},
"relationships": {},
"type": "checkin_items"
},
"included": [],
"links": {
"self": "http://company.brmbl.io/v1/checkin_items/2447"
}
}
Request: Returns a check-in item
curl -X GET https://api.COMPANY.brmbl.io/v1/checkin_items/2463?include=production_task \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_OyHfW3Cr_eJ4EMWSvIunjUiuIhN3eApyf" \
Response: 200 OK
{
"data": {
"attributes": {
"date": "2020-01-01",
"inserted_at": "2026-04-23T07:28:33Z",
"minutes": "150.00",
"updated_at": "2026-04-23T07:28:33Z",
"volume": 15
},
"id": "2463",
"links": {
"self": "http://company.brmbl.io/v1/checkin_items/2463"
},
"relationships": {
"production_task": {
"data": {
"id": "566",
"type": "production_tasks"
},
"links": {
"related": "http://company.brmbl.io/v1/production_tasks/566",
"self": "http://company.brmbl.io/v1/checkin_items/2463/relationships/production_task"
}
}
},
"type": "checkin_items"
},
"included": [
{
"attributes": {
"description": "pt-yvfxPIUp",
"entry_mode": "AUTO",
"improvement_category": "rpa",
"inserted_at": "2026-04-23T07:28:33Z",
"name": "TaskB",
"state": "detached",
"updated_at": "2026-04-23T07:28:33Z"
},
"id": "566",
"links": {
"self": "http://company.brmbl.io/v1/production_tasks/566"
},
"relationships": {},
"type": "production_tasks"
}
],
"links": {
"self": "http://company.brmbl.io/v1/checkin_items/2463"
}
}
Request: Returns a check-in item
curl -X GET https://api.COMPANY.brmbl.io/v1/checkin_items/2464?include=supporting_task \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_OyHfW3Cr_eJ4EMWSvIunjUiuIhN3eApyf" \
Response: 200 OK
{
"data": {
"attributes": {
"date": "2020-01-01",
"inserted_at": "2026-04-23T07:28:33Z",
"minutes": "60.00",
"updated_at": "2026-04-23T07:28:33Z",
"volume": null
},
"id": "2464",
"links": {
"self": "http://company.brmbl.io/v1/checkin_items/2464"
},
"relationships": {
"supporting_task": {
"data": {
"id": "357",
"type": "supporting_tasks"
},
"links": {
"related": "http://company.brmbl.io/v1/supporting_tasks/357",
"self": "http://company.brmbl.io/v1/checkin_items/2464/relationships/supporting_task"
}
}
},
"type": "checkin_items"
},
"included": [
{
"attributes": {
"category": "meet",
"description": "egpeQ5Jm",
"inserted_at": "2026-04-23T07:28:33Z",
"name": "egpeQ5Jm",
"state": "active",
"updated_at": "2026-04-23T07:28:33Z"
},
"id": "357",
"links": {
"self": "http://company.brmbl.io/v1/supporting_tasks/357"
},
"relationships": {},
"type": "supporting_tasks"
}
],
"links": {
"self": "http://company.brmbl.io/v1/checkin_items/2464"
}
}
Request: Returns a check-in item
curl -X GET https://api.COMPANY.brmbl.io/v1/checkin_items/2465?include=friction_type \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_OyHfW3Cr_eJ4EMWSvIunjUiuIhN3eApyf" \
Response: 200 OK
{
"data": {
"attributes": {
"date": "2020-01-01",
"inserted_at": "2026-04-23T07:28:33Z",
"minutes": "30.00",
"updated_at": "2026-04-23T07:28:33Z",
"volume": null
},
"id": "2465",
"links": {
"self": "http://company.brmbl.io/v1/checkin_items/2465"
},
"relationships": {
"friction_type": {
"data": {
"id": "182",
"type": "friction_types"
},
"links": {
"related": "http://company.brmbl.io/v1/friction_types/182",
"self": "http://company.brmbl.io/v1/checkin_items/2465/relationships/friction_type"
}
}
},
"type": "checkin_items"
},
"included": [
{
"attributes": {
"category": "interruption",
"description": "W79KspJp",
"inserted_at": "2026-04-23T07:28:33Z",
"name": "W79KspJp",
"state": "active",
"updated_at": "2026-04-23T07:28:33Z"
},
"id": "182",
"links": {
"self": "http://company.brmbl.io/v1/friction_types/182"
},
"relationships": {},
"type": "friction_types"
}
],
"links": {
"self": "http://company.brmbl.io/v1/checkin_items/2465"
}
}
Request: Returns a check-in item
curl -X GET https://api.COMPANY.brmbl.io/v1/checkin_items/2466?include=leave_type \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_OyHfW3Cr_eJ4EMWSvIunjUiuIhN3eApyf" \
Response: 200 OK
{
"data": {
"attributes": {
"date": "2020-01-01",
"inserted_at": "2026-04-23T07:28:33Z",
"minutes": "480.00",
"updated_at": "2026-04-23T07:28:33Z",
"volume": null
},
"id": "2466",
"links": {
"self": "http://company.brmbl.io/v1/checkin_items/2466"
},
"relationships": {
"leave_type": {
"data": {
"id": "122",
"type": "leave_types"
},
"links": {
"related": "http://company.brmbl.io/v1/leave_types/122",
"self": "http://company.brmbl.io/v1/checkin_items/2466/relationships/leave_type"
}
}
},
"type": "checkin_items"
},
"included": [
{
"attributes": {
"category": "planned_paid",
"description": "TGd7m2YH",
"inserted_at": "2026-04-23T07:28:33Z",
"name": "TGd7m2YH",
"state": "active",
"updated_at": "2026-04-23T07:28:33Z"
},
"id": "122",
"links": {
"self": "http://company.brmbl.io/v1/leave_types/122"
},
"relationships": {},
"type": "leave_types"
}
],
"links": {
"self": "http://company.brmbl.io/v1/checkin_items/2466"
}
}
You can fetch the details of a single item.
Request
GET /v1/checkin_items/{id}
Parameters
| Parameter | Description | In | Type | Required | Default | Example |
|---|---|---|---|---|---|---|
id |
Checkin item ID to retrieve. | path | integer | true | 233 | |
include |
Comma separated list of relationships to include. | query | array | false | user | |
fields |
Comma separated list of fields to return. | query | object | false |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Checkin Item Response | |
| 401 | Authentication Error | |
| 404 | Not Found Error | |
| 410 | Ignored | |
| 422 | Unprocessable Entity | |
| 500 | Internal Server Error |
List all check-in items
Request: List of check-in items (filtered by date)
curl -X GET https://api.COMPANY.brmbl.io/v1/checkin_items?date=2020-01-02&page[number]=1&page[size]=10&sort=date&fields[checkin_items]=volume,date \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_tekhzGlt_I5R7g9q26e2NZ1cw6TuCzk6g" \
Response: 200 OK
{
"data": [
{
"attributes": {
"date": "2020-01-02",
"volume": 15
},
"id": "2475",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2475"
},
"relationships": {},
"type": "checkin_items"
},
{
"attributes": {
"date": "2020-01-02",
"volume": 20
},
"id": "2476",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2476"
},
"relationships": {},
"type": "checkin_items"
}
],
"included": [],
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items?date=2020-01-02&fields%5Bcheckin_items%5D=volume%2Cdate&page%5Bnumber%5D=1&page%5Bsize%5D=10&sort=date"
},
"meta": {
"pagination": {
"page_number": 1,
"page_size": 10,
"total_entries": 2,
"total_pages": 1
}
}
}
You can fetch a list of all check-in items.
Request
GET /v1/checkin_items
Parameters
| Parameter | Description | In | Type | Required | Default | Example |
|---|---|---|---|---|---|---|
date |
Filter results for this date | query | string | false | 2022-02-28 | |
user_id |
Filter results with this Bramble user ID | query | integer | false | 12 | |
page |
query | Page | false | |||
sort |
Comma separated list of fields to sort by. Prefixing a field with a minus sign (-) sorts descending. | query | array | false | -date,-volume | |
include |
Comma separated list of relationships to include. | query | array | false | user | |
fields |
Comma separated list of fields to return. | query | object | false |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | CheckinItems | |
| 401 | Authentication Error | |
| 410 | Ignored | |
| 422 | Unprocessable Entity | |
| 500 | Internal Server Error |
Updates a user's check-in item
Request: Update a production task check-in item. Note that this will replace the existing values.
curl -X PUT https://api.COMPANY.brmbl.io/v1/checkin_items/2534 \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_qdEPKhh3_kNvclkw2Qw3cPXrDoO21fs78" \
-d @- << EOF
{
"date": "2022-02-23",
"replacement": false,
"volume": 1,
"user_id": "2520",
"checkin_id": "1055",
"production_task_id": 587,
"cost_category_id": null
}
EOF
Response: 200 OK
{
"data": {
"attributes": {
"date": "2022-02-23",
"inserted_at": "2026-04-23T07:28:34Z",
"minutes": "10.00",
"updated_at": "2026-04-23T07:28:34Z",
"volume": 1
},
"id": "2534",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2534"
},
"relationships": {
"checkin": {
"data": {
"id": "1055",
"type": "checkins"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/checkins/1055",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2534/relationships/checkin"
}
},
"production_task": {
"data": {
"id": "587",
"type": "production_tasks"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/production_tasks/587",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2534/relationships/production_task"
}
},
"user": {
"data": {
"id": "2520",
"type": "users"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/users/2520",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2534/relationships/user"
}
}
},
"type": "checkin_items"
},
"included": [],
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2534"
}
}
Request: Update a production task check-in item with a cost category. Note that this will replace the existing values.
curl -X PUT https://api.COMPANY.brmbl.io/v1/checkin_items/2453 \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_IeZPEBXM_uzArBFrptkJbOg0FRNUhsD5q" \
-d @- << EOF
{
"date": "2022-02-23",
"replacement": false,
"volume": 1,
"user_id": "2464",
"checkin_id": "1014",
"production_task_id": 562,
"cost_category_id": "201"
}
EOF
Response: 200 OK
{
"data": {
"attributes": {
"date": "2022-02-23",
"inserted_at": "2026-04-23T07:28:33Z",
"minutes": "10.00",
"updated_at": "2026-04-23T07:28:33Z",
"volume": 1
},
"id": "2453",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2453"
},
"relationships": {
"checkin": {
"data": {
"id": "1014",
"type": "checkins"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/checkins/1014",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2453/relationships/checkin"
}
},
"cost_category": {
"data": {
"id": "201",
"type": "cost_categories"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/cost_categories/201",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2453/relationships/cost_category"
}
},
"production_task": {
"data": {
"id": "562",
"type": "production_tasks"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/production_tasks/562",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2453/relationships/production_task"
}
},
"user": {
"data": {
"id": "2464",
"type": "users"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/users/2464",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2453/relationships/user"
}
}
},
"type": "checkin_items"
},
"included": [],
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2453"
}
}
Response: 422 Unprocessable Entity
{
"errors": [
{
"detail": "Failed to cast value to one of: no schemas validate",
"source": {
"pointer": "/"
},
"title": "Invalid value"
},
{
"detail": "Invalid format. Expected :date",
"source": {
"pointer": "/date"
},
"title": "Invalid value"
},
{
"detail": "Missing field: supporting_task_id",
"source": {
"pointer": "/supporting_task_id"
},
"title": "Invalid value"
},
{
"detail": "Missing field: minutes",
"source": {
"pointer": "/minutes"
},
"title": "Invalid value"
},
{
"detail": "Missing field: friction_type_id",
"source": {
"pointer": "/friction_type_id"
},
"title": "Invalid value"
},
{
"detail": "Missing field: minutes",
"source": {
"pointer": "/minutes"
},
"title": "Invalid value"
},
{
"detail": "Missing field: leave_type_id",
"source": {
"pointer": "/leave_type_id"
},
"title": "Invalid value"
},
{
"detail": "Missing field: minutes",
"source": {
"pointer": "/minutes"
},
"title": "Invalid value"
}
]
}
Request: Update a supporting task check-in item. Note that this will replace the existing values.
curl -X PUT https://api.COMPANY.brmbl.io/v1/checkin_items/2377 \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_y3sGzbau_toHCgXd5H1nFhMIKjALcMBoi" \
-d @- << EOF
{
"date": "2022-02-23",
"minutes": 450.0,
"replacement": false,
"user_id": "2403",
"checkin_id": "972",
"supporting_task_id": "341"
}
EOF
Response: 200 OK
{
"data": {
"attributes": {
"date": "2022-02-23",
"inserted_at": "2026-04-23T07:28:31Z",
"minutes": "450.00",
"updated_at": "2026-04-23T07:28:31Z",
"volume": null
},
"id": "2377",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2377"
},
"relationships": {
"checkin": {
"data": {
"id": "972",
"type": "checkins"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/checkins/972",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2377/relationships/checkin"
}
},
"supporting_task": {
"data": {
"id": "341",
"type": "supporting_tasks"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/supporting_tasks/341",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2377/relationships/supporting_task"
}
},
"user": {
"data": {
"id": "2403",
"type": "users"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/users/2403",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2377/relationships/user"
}
}
},
"type": "checkin_items"
},
"included": [],
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2377"
}
}
Request: Update a friction type check-in item. Note that this will replace the existing values.
curl -X PUT https://api.COMPANY.brmbl.io/v1/checkin_items/2392 \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_nEk4tcD8_bWMK1i2bpM0SFsFHyK3tauhf" \
-d @- << EOF
{
"date": "2022-02-23",
"minutes": 450.0,
"replacement": false,
"user_id": "2414",
"checkin_id": "980",
"friction_type_id": "175"
}
EOF
Response: 200 OK
{
"data": {
"attributes": {
"date": "2022-02-23",
"inserted_at": "2026-04-23T07:28:31Z",
"minutes": "450.00",
"updated_at": "2026-04-23T07:28:31Z",
"volume": null
},
"id": "2392",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2392"
},
"relationships": {
"checkin": {
"data": {
"id": "980",
"type": "checkins"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/checkins/980",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2392/relationships/checkin"
}
},
"friction_type": {
"data": {
"id": "175",
"type": "friction_types"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/friction_types/175",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2392/relationships/friction_type"
}
},
"user": {
"data": {
"id": "2414",
"type": "users"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/users/2414",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2392/relationships/user"
}
}
},
"type": "checkin_items"
},
"included": [],
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2392"
}
}
Request: Update a leave type check-in item. Note that this will replace the existing values.
curl -X PUT https://api.COMPANY.brmbl.io/v1/checkin_items/2519 \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_5NNXn8u6_iq6I0MRYUlolMt7FYfH39OYu" \
-d @- << EOF
{
"date": "2022-02-23",
"minutes": 450.0,
"replacement": false,
"user_id": "2510",
"checkin_id": "1047",
"leave_type_id": "127"
}
EOF
Response: 200 OK
{
"data": {
"attributes": {
"date": "2022-02-23",
"inserted_at": "2026-04-23T07:28:34Z",
"minutes": "450.00",
"updated_at": "2026-04-23T07:28:34Z",
"volume": null
},
"id": "2519",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2519"
},
"relationships": {
"checkin": {
"data": {
"id": "1047",
"type": "checkins"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/checkins/1047",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2519/relationships/checkin"
}
},
"leave_type": {
"data": {
"id": "127",
"type": "leave_types"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/leave_types/127",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2519/relationships/leave_type"
}
},
"user": {
"data": {
"id": "2510",
"type": "users"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/users/2510",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2519/relationships/user"
}
}
},
"type": "checkin_items"
},
"included": [],
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2519"
}
}
Updates user's check-in item for a day, could be a production task, supporting task, leave type or friction type.
Request
PUT /v1/checkin_items/{id}
Parameters
| Parameter | Description | In | Type | Required | Default | Example |
|---|---|---|---|---|---|---|
x-external-resource-uri |
Log optional external-resource-uri data with which to build an audit version. | header | string | false |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Checkin Item Response | |
| 401 | Authentication Error | |
| 404 | Not Found Error | |
| 410 | Ignored | |
| 422 | Unprocessable Entity | |
| 500 | Internal Server Error |
Upserts a user's production task, supporting task, leave type or friction type check-in item.
Request: Upserts a not existing production task check-in item will create a new one
curl -X PUT https://api.COMPANY.brmbl.io/v1/checkin_items \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_ixUPRVSv_nIAOfxWrB2wdZeGP5AlKEdhx" \
-d @- << EOF
{
"date": "2022-02-23",
"replacement": false,
"volume": 1,
"user_id": "2384",
"checkin_id": "957",
"production_task_id": 528,
"cost_category_id": null
}
EOF
Response: 201 Created
{
"data": {
"attributes": {
"date": "2022-02-23",
"inserted_at": "2026-04-23T07:28:31Z",
"minutes": "10.00",
"updated_at": "2026-04-23T07:28:31Z",
"volume": 1
},
"id": "2348",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2348"
},
"relationships": {
"checkin": {
"data": {
"id": "957",
"type": "checkins"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/checkins/957",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2348/relationships/checkin"
}
},
"production_task": {
"data": {
"id": "528",
"type": "production_tasks"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/production_tasks/528",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2348/relationships/production_task"
}
},
"user": {
"data": {
"id": "2384",
"type": "users"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/users/2384",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2348/relationships/user"
}
}
},
"type": "checkin_items"
},
"included": [],
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2348"
}
}
Request: Upserts a not existing production task check-in item will create a new one
curl -X PUT https://api.COMPANY.brmbl.io/v1/checkin_items \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_wSToGjLv_hbfjTKJtehwAm5J31EVnFiRq" \
-d @- << EOF
{
"date": "2022-02-23",
"replacement": false,
"volume": 1,
"user_id": "2406",
"checkin_id": "974",
"production_task_id": 538,
"cost_category_id": "192"
}
EOF
Response: 201 Created
{
"data": {
"attributes": {
"date": "2022-02-23",
"inserted_at": "2026-04-23T07:28:31Z",
"minutes": "10.00",
"updated_at": "2026-04-23T07:28:31Z",
"volume": 1
},
"id": "2382",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2382"
},
"relationships": {
"checkin": {
"data": {
"id": "974",
"type": "checkins"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/checkins/974",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2382/relationships/checkin"
}
},
"cost_category": {
"data": {
"id": "192",
"type": "cost_categories"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/cost_categories/192",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2382/relationships/cost_category"
}
},
"production_task": {
"data": {
"id": "538",
"type": "production_tasks"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/production_tasks/538",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2382/relationships/production_task"
}
},
"user": {
"data": {
"id": "2406",
"type": "users"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/users/2406",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2382/relationships/user"
}
}
},
"type": "checkin_items"
},
"included": [],
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2382"
}
}
Request: Upsert an existing production task check-in item
curl -X PUT https://api.COMPANY.brmbl.io/v1/checkin_items \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_BkKrUUOK_3lacRFGv5ReXJOzRnqvsZuZG" \
-d @- << EOF
{
"date": "2022-02-23",
"replacement": false,
"volume": 1,
"user_id": "2395",
"checkin_id": "964",
"production_task_id": 533,
"cost_category_id": null
}
EOF
Response: 200 OK
{
"data": {
"attributes": {
"date": "2022-02-23",
"inserted_at": "2026-04-23T07:28:31Z",
"minutes": "20.00",
"updated_at": "2026-04-23T07:28:32Z",
"volume": 2
},
"id": "2361",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2361"
},
"relationships": {
"checkin": {
"data": {
"id": "964",
"type": "checkins"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/checkins/964",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2361/relationships/checkin"
}
},
"production_task": {
"data": {
"id": "533",
"type": "production_tasks"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/production_tasks/533",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2361/relationships/production_task"
}
},
"user": {
"data": {
"id": "2395",
"type": "users"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/users/2395",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2361/relationships/user"
}
}
},
"type": "checkin_items"
},
"included": [],
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2361"
}
}
Response: 409 Conflict
{
"errors": [
{
"detail": "cannot exceed 24h",
"source": {
"pointer": ":minutes"
},
"title": "Conflict"
}
]
}
Response: 409 Conflict
{
"errors": [
{
"detail": "cannot exceed 24h",
"source": {
"pointer": ":minutes"
},
"title": "Conflict"
}
]
}
Response: 409 Conflict
{
"errors": [
{
"detail": "cannot exceed 24h",
"source": {
"pointer": ":minutes"
},
"title": "Conflict"
}
]
}
Request: When upserting negative volume, if that upsert will bring the entry's volume or minutes equal to or below zero, then a delete will ultimately be performed.
curl -X PUT https://api.COMPANY.brmbl.io/v1/checkin_items \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_Ivmfdkmb_hGMKqpr16NNc4odbA2PIM4KN" \
-d @- << EOF
{
"date": "2022-02-23",
"replacement": false,
"volume": -101,
"user_id": "2444",
"checkin_id": "1001",
"production_task_id": 554,
"cost_category_id": null
}
EOF
Response: 200 OK
{
"data": {
"attributes": {
"date": "2022-02-23",
"inserted_at": "2026-04-23T07:28:32Z",
"minutes": "1000.00",
"updated_at": "2026-04-23T07:28:32Z",
"volume": 100
},
"id": "2432",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2432"
},
"relationships": {
"checkin": {
"data": {
"id": "1001",
"type": "checkins"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/checkins/1001",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2432/relationships/checkin"
}
},
"production_task": {
"data": {
"id": "554",
"type": "production_tasks"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/production_tasks/554",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2432/relationships/production_task"
}
},
"user": {
"data": {
"id": "2444",
"type": "users"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/users/2444",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2432/relationships/user"
}
}
},
"type": "checkin_items"
},
"included": [],
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2432"
}
}
Request: Upserting a non-existent supporting task check-in item will create a new one
curl -X PUT https://api.COMPANY.brmbl.io/v1/checkin_items \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_Q6uxX1b5_P3Ewiw9zElE8ZoPBCwunniHQ" \
-d @- << EOF
{
"date": "2022-02-23",
"minutes": 450.0,
"replacement": false,
"user_id": "2375",
"checkin_id": "949",
"supporting_task_id": "333"
}
EOF
Response: 201 Created
{
"data": {
"attributes": {
"date": "2022-02-23",
"inserted_at": "2026-04-23T07:28:30Z",
"minutes": "450.00",
"updated_at": "2026-04-23T07:28:30Z",
"volume": null
},
"id": "2333",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2333"
},
"relationships": {
"checkin": {
"data": {
"id": "949",
"type": "checkins"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/checkins/949",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2333/relationships/checkin"
}
},
"supporting_task": {
"data": {
"id": "333",
"type": "supporting_tasks"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/supporting_tasks/333",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2333/relationships/supporting_task"
}
},
"user": {
"data": {
"id": "2375",
"type": "users"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/users/2375",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2333/relationships/user"
}
}
},
"type": "checkin_items"
},
"included": [],
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2333"
}
}
Request: Upsert an existing supporting task check-in item
curl -X PUT https://api.COMPANY.brmbl.io/v1/checkin_items \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_zdj6fiMV_NLyTvQzGFdgUAqqPcrAZ3Qpw" \
-d @- << EOF
{
"date": "2022-02-23",
"minutes": 450.0,
"replacement": false,
"user_id": "2379",
"checkin_id": "953",
"supporting_task_id": "334"
}
EOF
Response: 200 OK
{
"data": {
"attributes": {
"date": "2022-02-23",
"inserted_at": "2026-04-23T07:28:31Z",
"minutes": "900.00",
"updated_at": "2026-04-23T07:28:32Z",
"volume": null
},
"id": "2340",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2340"
},
"relationships": {
"checkin": {
"data": {
"id": "953",
"type": "checkins"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/checkins/953",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2340/relationships/checkin"
}
},
"supporting_task": {
"data": {
"id": "334",
"type": "supporting_tasks"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/supporting_tasks/334",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2340/relationships/supporting_task"
}
},
"user": {
"data": {
"id": "2379",
"type": "users"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/users/2379",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2340/relationships/user"
}
}
},
"type": "checkin_items"
},
"included": [],
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2340"
}
}
Response: 409 Conflict
{
"errors": [
{
"detail": "cannot exceed 24h",
"source": {
"pointer": ":minutes"
},
"title": "Conflict"
}
]
}
Response: 409 Conflict
{
"errors": [
{
"detail": "cannot exceed 24h",
"source": {
"pointer": ":minutes"
},
"title": "Conflict"
}
]
}
Request: When upserting negative minutes, if that upsert will bring the entry's minutes equal to or below zero, then a delete will ultimately be performed.
curl -X PUT https://api.COMPANY.brmbl.io/v1/checkin_items \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_nE5NvN91_AllxgLibz0ynSd55O6Lxw23u" \
-d @- << EOF
{
"date": "2022-02-23",
"minutes": -6.0,
"replacement": false,
"user_id": "2538",
"checkin_id": "1067",
"supporting_task_id": "373"
}
EOF
Response: 200 OK
{
"data": {
"attributes": {
"date": "2022-02-23",
"inserted_at": "2026-04-23T07:28:34Z",
"minutes": "5.00",
"updated_at": "2026-04-23T07:28:34Z",
"volume": null
},
"id": "2555",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2555"
},
"relationships": {
"checkin": {
"data": {
"id": "1067",
"type": "checkins"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/checkins/1067",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2555/relationships/checkin"
}
},
"supporting_task": {
"data": {
"id": "373",
"type": "supporting_tasks"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/supporting_tasks/373",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2555/relationships/supporting_task"
}
},
"user": {
"data": {
"id": "2538",
"type": "users"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/users/2538",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2555/relationships/user"
}
}
},
"type": "checkin_items"
},
"included": [],
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2555"
}
}
Request: Upserting a non-existent friction type check-in item will create a new one
curl -X PUT https://api.COMPANY.brmbl.io/v1/checkin_items \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_wHU81Nqo_awGQHHBs7ggTpSgyQGK8TyCV" \
-d @- << EOF
{
"date": "2022-02-23",
"minutes": 450.0,
"replacement": false,
"user_id": "2454",
"checkin_id": "1008",
"friction_type_id": "178"
}
EOF
Response: 201 Created
{
"data": {
"attributes": {
"date": "2022-02-23",
"inserted_at": "2026-04-23T07:28:32Z",
"minutes": "450.00",
"updated_at": "2026-04-23T07:28:32Z",
"volume": null
},
"id": "2445",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2445"
},
"relationships": {
"checkin": {
"data": {
"id": "1008",
"type": "checkins"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/checkins/1008",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2445/relationships/checkin"
}
},
"friction_type": {
"data": {
"id": "178",
"type": "friction_types"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/friction_types/178",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2445/relationships/friction_type"
}
},
"user": {
"data": {
"id": "2454",
"type": "users"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/users/2454",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2445/relationships/user"
}
}
},
"type": "checkin_items"
},
"included": [],
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2445"
}
}
Request: Upsert an existing friction type check-in item
curl -X PUT https://api.COMPANY.brmbl.io/v1/checkin_items \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_t7kvaaMC_hCnfS6UgwWgCr9EA7rV3FCWX" \
-d @- << EOF
{
"date": "2022-02-23",
"minutes": 450.0,
"replacement": false,
"user_id": "2500",
"checkin_id": "1038",
"friction_type_id": "186"
}
EOF
Response: 200 OK
{
"data": {
"attributes": {
"date": "2022-02-23",
"inserted_at": "2026-04-23T07:28:34Z",
"minutes": "900.00",
"updated_at": "2026-04-23T07:28:35Z",
"volume": null
},
"id": "2502",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2502"
},
"relationships": {
"checkin": {
"data": {
"id": "1038",
"type": "checkins"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/checkins/1038",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2502/relationships/checkin"
}
},
"friction_type": {
"data": {
"id": "186",
"type": "friction_types"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/friction_types/186",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2502/relationships/friction_type"
}
},
"user": {
"data": {
"id": "2500",
"type": "users"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/users/2500",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2502/relationships/user"
}
}
},
"type": "checkin_items"
},
"included": [],
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2502"
}
}
Response: 409 Conflict
{
"errors": [
{
"detail": "cannot exceed 24h",
"source": {
"pointer": ":minutes"
},
"title": "Conflict"
}
]
}
Response: 409 Conflict
{
"errors": [
{
"detail": "cannot exceed 24h",
"source": {
"pointer": ":minutes"
},
"title": "Conflict"
}
]
}
Request: When upserting negative minutes, if that upsert will bring the entry's minutes equal to or below zero, then a delete will ultimately be performed.
curl -X PUT https://api.COMPANY.brmbl.io/v1/checkin_items \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_OGWkIOVJ_G7BtmSVF4EgmPAlkqbeJF8Ik" \
-d @- << EOF
{
"date": "2022-02-23",
"minutes": -6.0,
"replacement": false,
"user_id": "2436",
"checkin_id": "996",
"friction_type_id": "177"
}
EOF
Response: 200 OK
{
"data": {
"attributes": {
"date": "2022-02-23",
"inserted_at": "2026-04-23T07:28:32Z",
"minutes": "5.00",
"updated_at": "2026-04-23T07:28:32Z",
"volume": null
},
"id": "2419",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2419"
},
"relationships": {
"checkin": {
"data": {
"id": "996",
"type": "checkins"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/checkins/996",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2419/relationships/checkin"
}
},
"friction_type": {
"data": {
"id": "177",
"type": "friction_types"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/friction_types/177",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2419/relationships/friction_type"
}
},
"user": {
"data": {
"id": "2436",
"type": "users"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/users/2436",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2419/relationships/user"
}
}
},
"type": "checkin_items"
},
"included": [],
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2419"
}
}
Request: Upserting a non-existent leave type check-in item will create a new one
curl -X PUT https://api.COMPANY.brmbl.io/v1/checkin_items \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_hh4MWGHY_JZDnSdSWayer6s6o8nlfZh4E" \
-d @- << EOF
{
"date": "2022-02-23",
"minutes": 450.0,
"replacement": false,
"user_id": "2515",
"checkin_id": "1051",
"leave_type_id": "128"
}
EOF
Response: 201 Created
{
"data": {
"attributes": {
"date": "2022-02-23",
"inserted_at": "2026-04-23T07:28:34Z",
"minutes": "450.00",
"updated_at": "2026-04-23T07:28:34Z",
"volume": null
},
"id": "2527",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2527"
},
"relationships": {
"checkin": {
"data": {
"id": "1051",
"type": "checkins"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/checkins/1051",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2527/relationships/checkin"
}
},
"leave_type": {
"data": {
"id": "128",
"type": "leave_types"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/leave_types/128",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2527/relationships/leave_type"
}
},
"user": {
"data": {
"id": "2515",
"type": "users"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/users/2515",
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2527/relationships/user"
}
}
},
"type": "checkin_items"
},
"included": [],
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/checkin_items/2527"
}
}
Response: 409 Conflict
{
"errors": [
{
"detail": "cannot exceed 24h",
"source": {
"pointer": ":minutes"
},
"title": "Conflict"
}
]
}
Response: 409 Conflict
{
"errors": [
{
"detail": "cannot exceed 24h",
"source": {
"pointer": ":minutes"
},
"title": "Conflict"
}
]
}
Tries to create a user's production task, supporting task, leave type or friction type check-in item.
If an existing item exists, it will update the existing one instead.
If an upsert tries to update with negative volume or minutes, but that would bring minutes less than or equal to zero, that entry will ultimately be deleted.
Request
PUT /v1/checkin_items
Parameters
| Parameter | Description | In | Type | Required | Default | Example |
|---|---|---|---|---|---|---|
x-external-resource-uri |
Log optional external-resource-uri data with which to build an audit version. | header | string | false |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Checkin Item Response | |
| 201 | Checkin Item Response | |
| 401 | Authentication Error | |
| 404 | Not Found Error | |
| 410 | Ignored | |
| 422 | Unprocessable Entity | |
| 500 | Internal Server Error |
Checkpoint Item
Create a checkpoint item
Request: Create an inventory checkpoint item for a production task date combination and update or create the associated checkpoint
curl -X POST https://api.COMPANY.brmbl.io/v1/inventory/checkpoint_items \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_D9yjUUGj_Km7rnsfiSZgBxOlomxaDwVXs" \
-d @- << EOF
{
"date": "2024-04-09",
"amount": 10,
"production_task_id": 462
}
EOF
Response: 201 Created
{
"data": {
"attributes": {
"amount": 10,
"date": "2024-04-09",
"external_resource_uri": null,
"inserted_at": "2026-04-23T07:28:24Z",
"updated_at": "2026-04-23T07:28:24Z"
},
"id": "25",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/inventory/checkpoint_items/25"
},
"relationships": {
"checkpoint": {
"data": {
"id": "81",
"type": "checkpoints"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/inventory/checkpoints/81",
"self": "http://api.COMPANY.brmbl.io/v1/inventory/checkpoint_items/25/relationships/checkpoint"
}
},
"production_task": {
"data": {
"id": "462",
"type": "production_tasks"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/production_tasks/462",
"self": "http://api.COMPANY.brmbl.io/v1/inventory/checkpoint_items/25/relationships/production_task"
}
}
},
"type": "checkpoint_items"
},
"included": [],
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/inventory/checkpoint_items/25"
}
}
You can adjust an Inventory Checkpoint and it's balance by creating a Checkpoint Item.
Request
POST /v1/inventory/checkpoint_items
Parameters
| Parameter | Description | In | Type | Required | Default | Example |
|---|---|---|---|---|---|---|
x-external-resource-uri |
Log optional external-resource-uri data with which to build a history. | header | string | false |
Responses
| Status | Description | Schema |
|---|---|---|
| 201 | Checkpoint Item | |
| 401 | Authentication Error | |
| 404 | Not Found Error | |
| 409 | Conflict | |
| 410 | Ignored | |
| 422 | Unprocessable Entity | |
| 500 | Internal Server Error |
Delete an Inventory Checkpoint Item
Request: Deletes a checkpoint item and updates or deletes the associated checkpoint
curl -X DELETE https://api.COMPANY.brmbl.io/v1/inventory/checkpoint_items/33 \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_YM4vPEpd_65k3PvqWZPveG6QjRn0Dz3YE" \
Response: 200 OK
{
"data": {
"attributes": {
"amount": 10,
"date": "2024-01-01",
"external_resource_uri": null,
"inserted_at": "2026-04-23T07:28:24Z",
"updated_at": "2026-04-23T07:28:24Z"
},
"id": "33",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/inventory/checkpoint_items/33"
},
"relationships": {
"production_task": {
"data": {
"id": "468",
"type": "production_tasks"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/production_tasks/468",
"self": "http://api.COMPANY.brmbl.io/v1/inventory/checkpoint_items/33/relationships/production_task"
}
}
},
"type": "checkpoint_items"
},
"included": [],
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/inventory/checkpoint_items/33"
}
}
(Soft-)delete an Inventory Checkpoint Item. The operation will also subtract the amount of the checkpoint item from the balance of the checkpoint.
Request
DELETE /v1/inventory/checkpoint_items/{id}
Parameters
| Parameter | Description | In | Type | Required | Default | Example |
|---|---|---|---|---|---|---|
id |
The ID of the Inventory Checkpoint Item to delete. | path | integer | true | 123 |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Checkpoint Item | |
| 401 | Authentication Error | |
| 404 | Not Found Error | |
| 410 | Ignored | |
| 422 | Unprocessable Entity | |
| 500 | Internal Server Error |
Retrieve a Checkpoint Item
Request: Retrieve a checkpoint item
curl -X GET https://api.COMPANY.brmbl.io/v1/inventory/checkpoint_items/32 \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_z0Da69h8_oYFX7cNLZHKkOsACTkisPboi" \
Response: 200 OK
{
"data": {
"attributes": {
"amount": 30,
"date": "2024-01-01",
"external_resource_uri": null,
"inserted_at": "2026-04-23T07:28:24Z",
"updated_at": "2026-04-23T07:28:24Z"
},
"id": "32",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/inventory/checkpoint_items/32"
},
"relationships": {
"checkpoint": {
"data": {
"id": "92",
"type": "checkpoints"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/inventory/checkpoints/92",
"self": "http://api.COMPANY.brmbl.io/v1/inventory/checkpoint_items/32/relationships/checkpoint"
}
},
"production_task": {
"data": {
"id": "467",
"type": "production_tasks"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/production_tasks/467",
"self": "http://api.COMPANY.brmbl.io/v1/inventory/checkpoint_items/32/relationships/production_task"
}
}
},
"type": "checkpoint_items"
},
"included": [],
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/inventory/checkpoint_items/32"
}
}
You can fetch the details of a single Checkpoint Item.
Request
GET /v1/inventory/checkpoint_items/{id}
Parameters
| Parameter | Description | In | Type | Required | Default | Example |
|---|---|---|---|---|---|---|
id |
Checkpoint Item ID | path | integer | true | 233 | |
include |
Comma separated list of relationships to include. | query | array | false | production_task | |
fields |
Comma separated list of fields to return. | query | object | false |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Checkpoint Item | |
| 401 | Authentication Error | |
| 404 | Not Found Error | |
| 410 | Ignored | |
| 422 | Unprocessable Entity | |
| 500 | Internal Server Error |
Contact Center
Create an Agent Metric set
Request: Create daily metrics for an agent
curl -X POST https://api.COMPANY.brmbl.io/v1/agent_daily_metrics \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_VxODKp6R_TvTXwcpnmnV0q7sGIdAe4dSZ" \
-d @- << EOF
{
"date": "2022-12-13",
"user_id": 1999,
"after_call_work_seconds": null,
"aux_seconds": null,
"available_seconds": null,
"conversations": 3,
"handle_seconds": null,
"hold_seconds": null,
"idle_seconds": null,
"staffed_seconds": null,
"talk_seconds": null
}
EOF
Response: 201 Created
{
"data": {
"attributes": {
"after_call_work_seconds": null,
"aux_seconds": null,
"available_seconds": null,
"conversations": 3,
"date": "2022-12-13",
"handle_seconds": null,
"hold_seconds": null,
"idle_seconds": null,
"staffed_seconds": null,
"talk_seconds": null,
"user_id": 1999
},
"id": "25",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/agent_daily_metrics/25"
},
"relationships": {},
"type": "agent_daily_metrics"
},
"included": [],
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/agent_daily_metrics/25"
}
}
Response: 422 Unprocessable Entity
{
"errors": [
{
"detail": "Invalid format. Expected :date",
"source": {
"pointer": "/date"
},
"title": "Invalid value"
}
]
}
Response: 409 Conflict
{
"errors": [
{
"detail": "Agent data already exists for the given day",
"source": {
"pointer": ":date"
},
"title": "Conflict"
}
]
}
You can record several agent metrics on a day-by-day basis from an Automatic Call Distribution (ACD) system.
Request
POST /v1/agent_daily_metrics
Responses
| Status | Description | Schema |
|---|---|---|
| 201 | Agent Daily Metrics Response | |
| 401 | Authentication Error | |
| 404 | Not Found Error | |
| 409 | Conflict | |
| 410 | Ignored | |
| 422 | Unprocessable Entity | |
| 500 | Internal Server Error |
Create an Agent Queue Metric set
Request: Create queue metrics for an agent
curl -X POST https://api.COMPANY.brmbl.io/v1/agent_queue_metrics \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_ztnnYTbl_8HkKgjzK3PftLt8ORh0omHZi" \
-d @- << EOF
{
"date": "2022-12-13",
"user_id": 2234,
"entry_id": 2289,
"production_task_id": 479,
"after_call_work_seconds": null,
"conversations": 3,
"handle_seconds": null,
"hold_seconds": null,
"talk_seconds": null,
"quality_score_id": 169,
"quality_score": 0.8
}
EOF
Response: 201 Created
{
"data": {
"attributes": {
"after_call_work_seconds": null,
"conversations": 3,
"date": "2022-12-13",
"entry_id": 2289,
"handle_seconds": null,
"hold_seconds": null,
"production_task_id": 479,
"quality": 0.8,
"talk_seconds": null,
"user_id": 2234
},
"id": "29",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/agent_queue_metrics/29"
},
"relationships": {
"checkin_item": {
"data": {
"id": "2289",
"type": "checkin_items"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/checkin_items/2289",
"self": "http://api.COMPANY.brmbl.io/v1/agent_queue_metrics/29/relationships/checkin_item"
}
},
"quality_score": {
"data": {
"id": "169",
"type": "quality_scores"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/quality_scores/169",
"self": "http://api.COMPANY.brmbl.io/v1/agent_queue_metrics/29/relationships/quality_score"
}
}
},
"type": "agent_queue_metrics"
},
"included": [],
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/agent_queue_metrics/29"
}
}
Request: Create queue metrics for an agent
curl -X POST https://api.COMPANY.brmbl.io/v1/agent_queue_metrics \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_x9AMvZ1k_hlTDizlC50HaRH2QvtxdOXRa" \
-d @- << EOF
{
"date": "2022-12-13",
"user_id": 2236,
"entry_id": 2291,
"production_task_id": 480,
"after_call_work_seconds": null,
"conversations": 3,
"handle_seconds": null,
"hold_seconds": null,
"talk_seconds": null,
"quality_score_id": 170,
"quality_score": 0.87
}
EOF
Response: 201 Created
{
"data": {
"attributes": {
"after_call_work_seconds": null,
"conversations": 3,
"date": "2022-12-13",
"entry_id": 2291,
"handle_seconds": null,
"hold_seconds": null,
"production_task_id": 480,
"quality": 0.87,
"talk_seconds": null,
"user_id": 2236
},
"id": "30",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/agent_queue_metrics/30"
},
"relationships": {
"checkin_item": {
"data": {
"id": "2291",
"type": "checkin_items"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/checkin_items/2291",
"self": "http://api.COMPANY.brmbl.io/v1/agent_queue_metrics/30/relationships/checkin_item"
}
},
"quality_score": {
"data": {
"id": "170",
"type": "quality_scores"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/quality_scores/170",
"self": "http://api.COMPANY.brmbl.io/v1/agent_queue_metrics/30/relationships/quality_score"
}
}
},
"type": "agent_queue_metrics"
},
"included": [],
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/agent_queue_metrics/30"
}
}
Request: Create queue metrics for an agent
curl -X POST https://api.COMPANY.brmbl.io/v1/agent_queue_metrics \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_P7AW42mF_J3WoYwVmxeq3XZNQGPaIesR7" \
-d @- << EOF
{
"date": "2022-12-13",
"user_id": 2240,
"entry_id": 2297,
"production_task_id": 482,
"after_call_work_seconds": null,
"conversations": 3,
"handle_seconds": null,
"hold_seconds": null,
"talk_seconds": null,
"quality_score_id": 172,
"quality_score": 0.8
}
EOF
Response: 201 Created
{
"data": {
"attributes": {
"after_call_work_seconds": null,
"conversations": 3,
"date": "2022-12-13",
"entry_id": 2297,
"handle_seconds": null,
"hold_seconds": null,
"production_task_id": 482,
"quality": 0.8,
"talk_seconds": null,
"user_id": 2240
},
"id": "33",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/agent_queue_metrics/33"
},
"relationships": {
"checkin_item": {
"data": {
"id": "2297",
"type": "checkin_items"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/checkin_items/2297",
"self": "http://api.COMPANY.brmbl.io/v1/agent_queue_metrics/33/relationships/checkin_item"
}
},
"quality_score": {
"data": {
"id": "172",
"type": "quality_scores"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/quality_scores/172",
"self": "http://api.COMPANY.brmbl.io/v1/agent_queue_metrics/33/relationships/quality_score"
}
}
},
"type": "agent_queue_metrics"
},
"included": [],
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/agent_queue_metrics/33"
}
}
You can record several agent metrics on a per-queue, per-day basis from an Automatic Call Distribution (ACD) system.
Request
POST /v1/agent_queue_metrics
Responses
| Status | Description | Schema |
|---|---|---|
| 201 | Agent Queue Metrics Response | |
| 401 | Authentication Error | |
| 404 | Not Found Error | |
| 409 | Conflict | |
| 410 | Ignored | |
| 422 | Unprocessable Entity | |
| 500 | Internal Server Error |
Create a Queue Metric set
Request: Create daily metrics for a queue
curl -X POST https://api.COMPANY.brmbl.io/v1/queue_daily_metrics \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_FdCtUwzx_jkP9CSMjsJX66V9qEz2aZKgA" \
-d @- << EOF
{
"date": "2022-12-13",
"production_task_id": 452,
"after_call_work_seconds": null,
"conversations": 3,
"handle_seconds": null,
"hold_seconds": null,
"talk_seconds": null,
"service_level": 0.6
}
EOF
Response: 201 Created
{
"data": {
"attributes": {
"after_call_work_seconds": null,
"conversations": 3,
"date": "2022-12-13",
"handle_seconds": null,
"hold_seconds": null,
"queue_id": 452,
"talk_seconds": null
},
"id": "13",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/queue_daily_metrics/13"
},
"relationships": {
"service_level": {
"data": {
"id": "63",
"type": "service_levels"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/service_levels/63",
"self": "http://api.COMPANY.brmbl.io/v1/queue_daily_metrics/13/relationships/service_level"
}
}
},
"type": "queue_daily_metrics"
},
"included": [],
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/queue_daily_metrics/13"
}
}
Response: 422 Unprocessable Entity
{
"errors": [
{
"detail": "Invalid format. Expected :date",
"source": {
"pointer": "/date"
},
"title": "Invalid value"
}
]
}
Response: 409 Conflict
{
"errors": [
{
"detail": "Queue data already exists for the given day",
"source": {
"pointer": ":date"
},
"title": "Conflict"
}
]
}
Response: 409 Conflict
{
"errors": [
{
"detail": "You have to change the Production Task to Contact Center type",
"source": {
"pointer": ":production_task_id"
},
"title": "Production Task not of type Contact Center"
}
]
}
Use this endpoint to import contact-center queue-data on a day-by-day basis.
Request
POST /v1/queue_daily_metrics
Responses
| Status | Description | Schema |
|---|---|---|
| 201 | Agent Queue Metrics Response | |
| 401 | Authentication Error | |
| 404 | Not Found Error | |
| 409 | Conflict | |
| 410 | Ignored | |
| 422 | Unprocessable Entity | |
| 500 | Internal Server Error |
Delete an Agent Daily Metrics set
Request: Deletes agent metrics and updates or deletes the associated entry
curl -X DELETE https://api.COMPANY.brmbl.io/v1/agent_daily_metrics/24 \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_9H0FzIKW_TTZ04QP1Y1ZlfqtvcqTC1C2q" \
Response: 200 OK
{
"data": {
"attributes": {
"after_call_work_seconds": null,
"aux_seconds": null,
"available_seconds": null,
"conversations": 415,
"date": "2026-04-23",
"handle_seconds": null,
"hold_seconds": null,
"idle_seconds": null,
"staffed_seconds": null,
"talk_seconds": null,
"user_id": 1997
},
"id": "24",
"links": {
"self": "http://company.brmbl.io/v1/agent_daily_metrics/24"
},
"relationships": {},
"type": "agent_daily_metrics"
},
"included": [],
"links": {
"self": "http://company.brmbl.io/v1/agent_daily_metrics/24"
}
}
Response: 404 Not Found
{
"errors": [
{
"code": "40401",
"detail": "The given agent daily metrics could not be found.",
"status": "404",
"title": "Agent Daily Metrics Not Found"
}
]
}
Delete an Agent Daily Metrics set.
Request
DELETE /v1/agent_daily_metrics/{id}
Parameters
| Parameter | Description | In | Type | Required | Default | Example |
|---|---|---|---|---|---|---|
id |
The ID of the agent daily metrics to delete. | path | integer | true | 123 |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Agent Daily Metrics Response | |
| 401 | Authentication Error | |
| 404 | Not Found Error | |
| 410 | Ignored | |
| 422 | Unprocessable Entity | |
| 500 | Internal Server Error |
Delete an Agent Queue Metrics set
Request: Deletes an agent queue dataset and updates the entry
curl -X DELETE https://api.COMPANY.brmbl.io/v1/agent_queue_metrics/26 \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_XPHfpM99_nqo52CZDMlDHNEPGvOTsvlSP" \
Response: 200 OK
{
"data": {
"attributes": {
"after_call_work_seconds": null,
"conversations": 11,
"date": "2026-04-22",
"entry_id": null,
"handle_seconds": null,
"hold_seconds": null,
"production_task_id": 474,
"quality": null,
"talk_seconds": 500,
"user_id": 2226
},
"id": "26",
"links": {
"self": "http://company.brmbl.io/v1/agent_queue_metrics/26"
},
"relationships": {},
"type": "agent_queue_metrics"
},
"included": [],
"links": {
"self": "http://company.brmbl.io/v1/agent_queue_metrics/26"
}
}
Response: 404 Not Found
{
"errors": [
{
"code": "40401",
"detail": "The given agent queue metrics could not be found.",
"status": "404",
"title": "Agent Queue Metrics Not Found"
}
]
}
Delete an Agent Queue Metrics set.
Request
DELETE /v1/agent_queue_metrics/{id}
Parameters
| Parameter | Description | In | Type | Required | Default | Example |
|---|---|---|---|---|---|---|
id |
The ID of the agent queue metrics to delete. | path | integer | true | 233 |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Agent Queue Metrics Response | |
| 401 | Authentication Error | |
| 404 | Not Found Error | |
| 410 | Ignored | |
| 422 | Unprocessable Entity | |
| 500 | Internal Server Error |
Delete a Queue Daily Metrics set
Request: Deletes queue metrics and updates or deletes the associated entry
curl -X DELETE https://api.COMPANY.brmbl.io/v1/queue_daily_metrics/17 \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_9wmhmBhL_17jYWl2FRjaZzl85NRuZ3SEm" \
Response: 200 OK
{
"data": {
"attributes": {
"after_call_work_seconds": null,
"conversations": 425,
"date": "2026-04-23",
"handle_seconds": null,
"hold_seconds": null,
"queue_id": 458,
"talk_seconds": null
},
"id": "17",
"links": {
"self": "http://company.brmbl.io/v1/queue_daily_metrics/17"
},
"relationships": {},
"type": "queue_daily_metrics"
},
"included": [],
"links": {
"self": "http://company.brmbl.io/v1/queue_daily_metrics/17"
}
}
Response: 404 Not Found
{
"errors": [
{
"code": "40401",
"detail": "The given queue daily metrics could not be found.",
"status": "404",
"title": "Queue Daily Metrics Not Found"
}
]
}
Delete a Queue Daily Metrics set.
Request
DELETE /v1/queue_daily_metrics/{id}
Parameters
| Parameter | Description | In | Type | Required | Default | Example |
|---|---|---|---|---|---|---|
id |
The ID of the queue daily metrics to delete. | path | integer | true | 123 |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Agent Queue Metrics Response | |
| 401 | Authentication Error | |
| 404 | Not Found Error | |
| 410 | Ignored | |
| 422 | Unprocessable Entity | |
| 500 | Internal Server Error |
Upserts an Agent Metric set
Request: Create daily metrics for an agent
curl -X PUT https://api.COMPANY.brmbl.io/v1/agent_daily_metrics \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_rdQ2ubzm_1O8pK4Ty26fTsu0N7iKB8gVS" \
-d @- << EOF
{
"date": "2022-12-13",
"user_id": 2015,
"after_call_work_seconds": null,
"aux_seconds": null,
"available_seconds": null,
"conversations": 3,
"handle_seconds": null,
"hold_seconds": null,
"idle_seconds": null,
"staffed_seconds": null,
"talk_seconds": null
}
EOF
Response: 201 Created
{
"data": {
"attributes": {
"after_call_work_seconds": null,
"aux_seconds": null,
"available_seconds": null,
"conversations": 3,
"date": "2022-12-13",
"handle_seconds": null,
"hold_seconds": null,
"idle_seconds": null,
"staffed_seconds": null,
"talk_seconds": null,
"user_id": 2015
},
"id": "33",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/agent_daily_metrics/33"
},
"relationships": {},
"type": "agent_daily_metrics"
},
"included": [],
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/agent_daily_metrics/33"
}
}
Request: Update daily metrics for an agent
curl -X PUT https://api.COMPANY.brmbl.io/v1/agent_daily_metrics \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_9Rbo6mMI_FC3YNeR74Mp8aYZFeKlzsFDP" \
-d @- << EOF
{
"date": "2022-12-13",
"user_id": 2011,
"after_call_work_seconds": null,
"aux_seconds": null,
"available_seconds": null,
"conversations": null,
"handle_seconds": null,
"hold_seconds": null,
"idle_seconds": null,
"staffed_seconds": 60,
"talk_seconds": null
}
EOF
Response: 200 OK
{
"data": {
"attributes": {
"after_call_work_seconds": null,
"aux_seconds": null,
"available_seconds": null,
"conversations": 3,
"date": "2022-12-13",
"handle_seconds": null,
"hold_seconds": null,
"idle_seconds": null,
"staffed_seconds": 60,
"talk_seconds": null,
"user_id": 2011
},
"id": "30",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/agent_daily_metrics/30"
},
"relationships": {},
"type": "agent_daily_metrics"
},
"included": [],
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/agent_daily_metrics/30"
}
}
Response: 409 Conflict
{
"errors": [
{
"detail": "Agent metrics data is empty",
"source": {
"pointer": ":metrics"
},
"title": "Conflict"
}
]
}
Tries to create a an Agent Metric set. If an existing dataset exists, it will update the existing one instead
Request
PUT /v1/agent_daily_metrics
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Agent Daily Metrics Response | |
| 201 | Agent Daily Metrics Response | |
| 401 | Authentication Error | |
| 404 | Not Found Error | |
| 410 | Ignored | |
| 422 | Unprocessable Entity | |
| 500 | Internal Server Error |
Cost Categories
Retrieve a cost category
Request: Returns a cost category
curl -X GET https://api.COMPANY.brmbl.io/v1/cost_categories/182 \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_knjGXqv2_m2fZLs7AeZ3fBWyznRsCeN4h" \
Response: 200 OK
{
"data": {
"attributes": {
"description": "pt-8dthdHQr",
"inserted_at": "2026-04-23T07:28:24Z",
"name": "Auto",
"state": "active",
"updated_at": "2026-04-23T07:28:24Z"
},
"id": "182",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/cost_categories/182"
},
"relationships": {},
"type": "cost_categories"
},
"included": [],
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/cost_categories/182"
}
}
You can fetch the details of a single cost category.
Request
GET /v1/cost_categories/{id}
Parameters
| Parameter | Description | In | Type | Required | Default | Example |
|---|---|---|---|---|---|---|
id |
Cost category ID to retrieve. | path | integer | true | 233 |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Cost Category Response | |
| 401 | Authentication Error | |
| 404 | Not Found Error | |
| 410 | Ignored | |
| 422 | Unprocessable Entity | |
| 500 | Internal Server Error |
List all cost categories
Request: List of cost categories
curl -X GET https://api.COMPANY.brmbl.io/v1/cost_categories?page[number]=1&page[size]=2&sort=name&fields[cost_categories]=name,state \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_k9uYOd7i_e3BZKfdJ4t0nmY1zoxZSDtRF" \
Response: 200 OK
{
"data": [
{
"attributes": {
"name": "Auto",
"state": "active"
},
"id": "173",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/cost_categories/173"
},
"relationships": {},
"type": "cost_categories"
},
{
"attributes": {
"name": "Property",
"state": "active"
},
"id": "174",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/cost_categories/174"
},
"relationships": {},
"type": "cost_categories"
}
],
"included": [],
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/cost_categories?fields%5Bcost_categories%5D=name%2Cstate&page%5Bnumber%5D=1&page%5Bsize%5D=2&sort=name"
},
"meta": {
"pagination": {
"page_number": 1,
"page_size": 2,
"total_entries": 2,
"total_pages": 1
}
}
}
Response: 422 Unprocessable Entity
{
"errors": [
{
"detail": "Unexpected field: FOO",
"source": {
"pointer": "/FOO"
},
"title": "Invalid value"
}
]
}
You can fetch a list of all cost categories.
You can optionally filter the list by state.
Request
GET /v1/cost_categories
Parameters
| Parameter | Description | In | Type | Required | Default | Example |
|---|---|---|---|---|---|---|
state |
Filter cost categories by given states (comma-separated) | query | array | false | active,archived | |
page |
query | Page | false | |||
sort |
Comma separated list of fields to sort by. Prefixing a field with a minus sign (-) sorts descending. | query | array | false | -name,updated_at,-state | |
fields |
Comma separated list of fields to return. | query | object | false |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Cost Categories | |
| 401 | Authentication Error | |
| 410 | Ignored | |
| 422 | Unprocessable Entity | |
| 500 | Internal Server Error |
Friction Types
Retrieve a friction type
Request: Retrieve a supporting task
curl -X GET https://api.COMPANY.brmbl.io/v1/friction_types/168 \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_rrl0xcJE_N1swDzZBdFgF6l7iwfHjkxQN" \
Response: 200 OK
{
"data": {
"attributes": {
"category": "downtime",
"description": "dXlT1KoA",
"inserted_at": "2026-04-23T07:28:28Z",
"name": "Power Outage",
"state": "active",
"updated_at": "2026-04-23T07:28:28Z"
},
"id": "168",
"links": {
"self": "http://www.example.com/v1/friction_types/168"
},
"relationships": {},
"type": "friction_types"
},
"included": [],
"links": {
"self": "http://www.example.com/v1/friction_types/168"
}
}
You can fetch the details of a single friction type.
Request
GET /v1/friction_types/{id}
Parameters
| Parameter | Description | In | Type | Required | Default | Example |
|---|---|---|---|---|---|---|
id |
Friction Type ID to retrieve. | path | integer | true | 32 |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | FrictionType | |
| 401 | Authentication Error | |
| 404 | Not Found Error | |
| 410 | Ignored | |
| 422 | Unprocessable Entity | |
| 500 | Internal Server Error |
List all Friction Types
Request: List all friction types (filtered).
curl -X GET https://api.COMPANY.brmbl.io/v1/friction_types?state=active \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_OqZal4Jy_RYRR2Xqz21vztgxEBjWfR1o4" \
Response: 200 OK
{
"data": [
{
"attributes": {
"category": "downtime",
"description": "ln26lHOL",
"inserted_at": "2026-04-23T07:28:28Z",
"name": "Power Outage",
"state": "active",
"updated_at": "2026-04-23T07:28:28Z"
},
"id": "160",
"links": {
"self": "http://www.example.com/v1/friction_types/160"
},
"relationships": {},
"type": "friction_types"
}
],
"included": [],
"links": {
"self": "http://www.example.com/v1/friction_types?state=active"
},
"meta": {
"pagination": {
"page_number": 1,
"page_size": 25,
"total_entries": 1,
"total_pages": 1
}
}
}
You can fetch a list of all friction types.
Request
GET /v1/friction_types
Parameters
| Parameter | Description | In | Type | Required | Default | Example |
|---|---|---|---|---|---|---|
category |
Filter the friction type's in given category(ies). | query | array | false | downtime,coaching | |
state |
Filter by the friction type's status. | query | array | false | active,archived | |
page |
query | Page | false | |||
sort |
Comma separated list of fields to sort by. Prefixing a field with a minus sign (-) sorts descending. | query | array | false | -name,updated_at,-state | |
fields |
Comma separated list of fields to return. | query | object | false |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Friction Types | |
| 401 | Authentication Error | |
| 410 | Ignored | |
| 422 | Unprocessable Entity | |
| 500 | Internal Server Error |
Groups
Retrieve a group
Request: Returns a group
curl -X GET https://api.COMPANY.brmbl.io/v1/groups/2142?include=users \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_lxzV0GE2_uVmaHHDyixLwN1FM0Rrr7mWl" \
Response: 200 OK
{
"data": {
"attributes": {
"inserted_at": "2026-04-23T07:28:27Z",
"name": "Sales",
"state": "active",
"updated_at": "2026-04-23T07:28:27Z"
},
"id": "2142",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/groups/2142"
},
"relationships": {
"users": {
"data": [
{
"id": "2167",
"type": "users"
}
],
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/users",
"self": "http://api.COMPANY.brmbl.io/v1/groups/2142/relationships/users"
}
}
},
"type": "groups"
},
"included": [
{
"attributes": {
"account_role": null,
"email": "thalia_connelly@brown.info",
"full_name": "Some User",
"inserted_at": "2026-04-23T07:28:27Z",
"preferred_first_name": "Some",
"state": "new",
"team_role": "team_contributor",
"timezone": "Etc/UTC",
"updated_at": "2026-04-23T07:28:27Z"
},
"id": "2167",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/users/2167"
},
"relationships": {},
"type": "users"
}
],
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/groups/2142"
}
}
You can fetch the details of a single group, using it's Bramble ID.
Request
GET /v1/groups/{id}
Parameters
| Parameter | Description | In | Type | Required | Default | Example |
|---|---|---|---|---|---|---|
id |
The ID of the group to fetch | path | integer | true | 233 | |
include |
Comma separated list of relationships to include. | query | array | false | parent,users | |
fields |
Comma separated list of fields to return. | query | object | false |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Group Response | |
| 401 | Authentication Error | |
| 404 | Not Found Error | |
| 410 | Ignored | |
| 422 | Unprocessable Entity | |
| 500 | Internal Server Error |
List all groups
Request: List of groups (filtered by parent_id)
curl -X GET https://api.COMPANY.brmbl.io/v1/groups?ancestors_id=2135&page[number]=1&page[size]=2&sort=name&fields[groups]=name,state \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_q0BrtAAT_hWvOgdSSkOB5RpGyDlufbzyo" \
Response: 200 OK
{
"data": [
{
"attributes": {
"name": "division",
"state": "active"
},
"id": "2136",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/groups/2136"
},
"relationships": {},
"type": "groups"
},
{
"attributes": {
"name": "root",
"state": "active"
},
"id": "2135",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/groups/2135"
},
"relationships": {},
"type": "groups"
}
],
"included": [],
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/groups?ancestors_id=2135&fields%5Bgroups%5D=name%2Cstate&page%5Bnumber%5D=1&page%5Bsize%5D=2&sort=name"
},
"meta": {
"pagination": {
"page_number": 1,
"page_size": 2,
"total_entries": 3,
"total_pages": 2
}
}
}
Response: 422 Unprocessable Entity
{
"errors": [
{
"detail": "Unexpected field: FOO",
"source": {
"pointer": "/FOO"
},
"title": "Invalid value"
}
]
}
You can fetch a list of all groups.
You can optionally filter the list by group status, or by to all groups that are descendant from a given parent group (using root_group_ids).
Request
GET /v1/groups
Parameters
| Parameter | Description | In | Type | Required | Default | Example |
|---|---|---|---|---|---|---|
ancestors_id |
Filter groups who have these IDs above them in the group hierarchy | query | array | false | 1,51,42 | |
parent_id |
Filter groups who have these IDs above them in the group hierarchy | query | array | false | 1,51,42 | |
state |
Filter groups by given states (comma-separated) | query | array | false | active,archived | |
page |
query | Page | false | |||
sort |
Comma separated list of fields to sort by. Prefixing a field with a minus sign (-) sorts descending. | query | array | false | -name,updated_at,-state | |
include |
Comma separated list of relationships to include. | query | array | false | parent,users | |
fields |
Comma separated list of fields to return. | query | object | false |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Groups | |
| 401 | Authentication Error | |
| 410 | Ignored | |
| 422 | Unprocessable Entity | |
| 500 | Internal Server Error |
Leave Types
Retrieve a leave type
Request: Retrieve a leave type
curl -X GET https://api.COMPANY.brmbl.io/v1/leave_types/105 \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_VoewLYxC_lJ0rkbDW89aQDAy7thV62aIE" \
Response: 200 OK
{
"data": {
"attributes": {
"category": "unplanned_paid",
"description": "s997WefZ",
"inserted_at": "2026-04-23T07:28:23Z",
"name": "Kid Sickness",
"state": "active",
"updated_at": "2026-04-23T07:28:23Z"
},
"id": "105",
"links": {
"self": "http://www.example.com/v1/leave_types/105"
},
"relationships": {},
"type": "leave_types"
},
"included": [],
"links": {
"self": "http://www.example.com/v1/leave_types/105"
}
}
You can fetch the details of a single leave type.
Request
GET /v1/leave_types/{id}
Parameters
| Parameter | Description | In | Type | Required | Default | Example |
|---|---|---|---|---|---|---|
id |
Leave Type ID to retrieve. | path | integer | true | 42 |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | LeaveType | |
| 401 | Authentication Error | |
| 404 | Not Found Error | |
| 410 | Ignored | |
| 422 | Unprocessable Entity | |
| 500 | Internal Server Error |
List all Leave Types
Request: List all leave types (filtered).
curl -X GET https://api.COMPANY.brmbl.io/v1/leave_types?state=active \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_r5KDWKAR_J2QwELES5Vb6HC2dGHfXjoFi" \
Response: 200 OK
{
"data": [
{
"attributes": {
"category": "unplanned_paid",
"description": "UwakGuBS",
"inserted_at": "2026-04-23T07:28:23Z",
"name": "Kid Sickness",
"state": "active",
"updated_at": "2026-04-23T07:28:23Z"
},
"id": "97",
"links": {
"self": "http://www.example.com/v1/leave_types/97"
},
"relationships": {},
"type": "leave_types"
}
],
"included": [],
"links": {
"self": "http://www.example.com/v1/leave_types?state=active"
},
"meta": {
"pagination": {
"page_number": 1,
"page_size": 25,
"total_entries": 1,
"total_pages": 1
}
}
}
You can fetch a list of all leave types.
Request
GET /v1/leave_types
Parameters
| Parameter | Description | In | Type | Required | Default | Example |
|---|---|---|---|---|---|---|
category |
Filter the leave type's in given category(ies). | query | array | false | planned_paid,unplanned_paid | |
state |
Filter by the leave type's status. | query | array | false | active,archived | |
page |
query | Page | false | |||
sort |
Comma separated list of fields to sort by. Prefixing a field with a minus sign (-) sorts descending. | query | array | false | -name,updated_at,-state | |
fields |
Comma separated list of fields to return. | query | object | false |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Leave Types | |
| 401 | Authentication Error | |
| 410 | Ignored | |
| 422 | Unprocessable Entity | |
| 500 | Internal Server Error |
Production Tasks
Retrieve a production task
Request: Retrieve a production task
curl -X GET https://api.COMPANY.brmbl.io/v1/production_tasks/496 \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_1BB9muw3_imwdnECMVjRzvmr9Hxp9YaaI" \
Response: 200 OK
{
"data": {
"attributes": {
"description": "pt-Xo2PSaMW",
"entry_mode": "AUTO",
"improvement_category": "rpa",
"inserted_at": "2026-04-23T07:28:29Z",
"name": "Customer Outreach",
"state": "active",
"updated_at": "2026-04-23T07:28:29Z"
},
"id": "496",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/production_tasks/496"
},
"relationships": {},
"type": "production_tasks"
},
"included": [],
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/production_tasks/496"
}
}
You can fetch the details of a single production task.
Request
GET /v1/production_tasks/{id}
Parameters
| Parameter | Description | In | Type | Required | Default | Example |
|---|---|---|---|---|---|---|
id |
Production task ID to retrieve. | path | integer | true | 233 |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | ProductionTask | |
| 401 | Authentication Error | |
| 404 | Not Found Error | |
| 410 | Ignored | |
| 422 | Unprocessable Entity | |
| 500 | Internal Server Error |
List all Production Tasks
Request: List all production tasks (filtered).
curl -X GET https://api.COMPANY.brmbl.io/v1/production_tasks?improvement_category=lean \
-H "Content-type: application/json" \
-H "Authorization: Bearer bramble_s1OJef4C_QAg7cGRWrynaiA0lT5TY9eZK" \
Response: 200 OK
{
"data": [
{
"attributes": {
"description": "pt-iZBfjiaH",
"entry_mode": "AUTO",
"improvement_category": "lean",
"inserted_at": "2026-04-23T07:28:29Z",
"name": "Lodge Claim",
"state": "active",
"updated_at": "2026-04-23T07:28:29Z"
},
"id": "500",
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/production_tasks/500"
},
"relationships": {
"process": {
"data": {
"id": "120",
"type": "process"
},
"links": {
"related": "http://api.COMPANY.brmbl.io/v1/process/120",
"self": "http://api.COMPANY.brmbl.io/v1/production_tasks/500/relationships/process"
}
}
},
"type": "production_tasks"
}
],
"included": [],
"links": {
"self": "http://api.COMPANY.brmbl.io/v1/production_tasks?improvement_category=lean"
},
"meta": {
"pagination": {
"page_number": 1,
"page_size": 25,
"total_entries": 1,
"total_pages": 1
}
}
}
You can fetch a list of all production tasks.
Request
GET /v1/production_tasks
Parameters
| Parameter | Description | In | Type | Required | Default | Example |
|---|---|---|---|---|---|---|
group_id |
Filter the tasks owned by the given group(s). | query | array | false | 1, 2, 3 | |
improvement_category |
Filter the tasks in given continuous improvement category(ies). | query | array | false | lean,rpa | |
process_id |
Filter by Process(es) | query | array | false | 1,2,3 | |
state |
Filter by the task status. | query | array | false | active,archived | |
page |
query | Page | false | |||
sort |
Comma separated list of fields to sort by. Prefixing a field with a minus sign (-) sorts descending. | query | array | false | -name,ideal_task_time | |
include |
[...]
